## BraseroTrackStream

BraseroTrackStream

## Synopsis

                        BraseroTrackStream;
    BraseroTrackStream * brasero_track_stream_new           (void);
    BraseroBurnResult   brasero_track_stream_set_source     (BraseroTrackStream *track,
                                                             const gchar *uri);
    BraseroBurnResult   brasero_track_stream_set_format     (BraseroTrackStream *track,
                                                             BraseroStreamFormat format);
    BraseroBurnResult   brasero_track_stream_set_boundaries (BraseroTrackStream *track,
                                                             gint64 start,
                                                             gint64 end,
                                                             gint64 gap);
    gchar *             brasero_track_stream_get_source     (BraseroTrackStream *track,
                                                             gboolean uri);
    BraseroBurnResult   brasero_track_stream_get_length     (BraseroTrackStream *track,
                                                             guint64 *length);
    guint64             brasero_track_stream_get_start      (BraseroTrackStream *track);
    guint64             brasero_track_stream_get_end        (BraseroTrackStream *track);
    guint64             brasero_track_stream_get_gap        (BraseroTrackStream *track);
    BraseroStreamFormat  brasero_track_stream_get_format    (BraseroTrackStream *track);

## Description

## Details

### BraseroTrackStream

    typedef struct {
    	BraseroTrack parent_instance;
    } BraseroTrackStream;

### brasero_track_stream_new ()

    BraseroTrackStream * brasero_track_stream_new           (void);

Returns : |

### brasero_track_stream_set_source ()

    BraseroBurnResult   brasero_track_stream_set_source     (BraseroTrackStream *track,
                                                             const gchar *uri);

`track` : |
`uri` : |
Returns : |

### brasero_track_stream_set_format ()

    BraseroBurnResult   brasero_track_stream_set_format     (BraseroTrackStream *track,
                                                             BraseroStreamFormat format);

`track` : |
`format` : |
Returns : |

### brasero_track_stream_set_boundaries ()

    BraseroBurnResult   brasero_track_stream_set_boundaries (BraseroTrackStream *track,
                                                             gint64 start,
                                                             gint64 end,
                                                             gint64 gap);

`track` : |
`start` : |
`end` : |
`gap` : |
Returns : |

### brasero_track_stream_get_source ()

    gchar *             brasero_track_stream_get_source     (BraseroTrackStream *track,
                                                             gboolean uri);

`track` : |
`uri` : |
Returns : |

### brasero_track_stream_get_length ()

    BraseroBurnResult   brasero_track_stream_get_length     (BraseroTrackStream *track,
                                                             guint64 *length);

`track` : |
`length` : |
Returns : |

### brasero_track_stream_get_start ()

    guint64             brasero_track_stream_get_start      (BraseroTrackStream *track);

`track` : |
Returns : |

### brasero_track_stream_get_end ()

    guint64             brasero_track_stream_get_end        (BraseroTrackStream *track);

`track` : |
Returns : |

### brasero_track_stream_get_gap ()

    guint64             brasero_track_stream_get_gap        (BraseroTrackStream *track);

`track` : |
Returns : |

### brasero_track_stream_get_format ()

    BraseroStreamFormat  brasero_track_stream_get_format    (BraseroTrackStream *track);

`track` : |
Returns : |